## kpim6-messagelib 25.08.2+p24.04+vstable+git20251022.0052

=== messageviewer/src/viewer/autotests/CMakeLists.txt ===
macro(add_messageviewer_viewer_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "messageviewer-"
        LINK_LIBRARIES Qt::Test KPim6::MessageViewer Qt::PrintSupport)
endmacro()

add_messageviewer_viewer_unittest(printmessagetest.cpp)

## kpim6-messagelib 25.08.0

=== debian/changelog ===
kpim6-messagelib (4:25.08.0-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:53:40 +0000

kpim6-messagelib (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:45:20 +0000

kpim6-messagelib (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 12:12:43 +0000

kpim6-messagelib (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:12:43 +0000

kpim6-messagelib (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:52:46 +0000

kpim6-messagelib (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:08:46 +0000

kpim6-messagelib (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:38:50 +0000

kpim6-messagelib (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:05:41 +0000

kpim6-messagelib (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:59:12 +0000

kpim6-messagelib (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:53:12 +0000

kpim6-messagelib (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:13:36 +0000

kpim6-messagelib (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:40:16 +0000

kpim6-messagelib (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:11:58 +0000

kpim6-messagelib (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Jun 2024 13:04:15 +0000

kpim6-messagelib (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:04:15 +0000

kpim6-messagelib (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:46:36 +0000

kpim6-messagelib (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:05:38 +0000

kpim6-messagelib (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:49:32 +0000

kpim6-messagelib (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:38:59 +0000

kpim6-messagelib (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:18:19 +0000

kf5-messagelib (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 10:45:54 +0000

kf5-messagelib (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:55:53 +0000

kf5-messagelib (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:22:48 +0000

kf5-messagelib (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:26:56 +0000

kf5-messagelib (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:24:29 +0000

kf5-messagelib (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:54:43 +0000

kf5-messagelib (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:32:21 +0000

kf5-messagelib (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:07:35 +0000

kf5-messagelib (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:13:47 +0000

kf5-messagelib (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:36:08 +0000

kf5-messagelib (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:52:10 +0000

kf5-messagelib (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:34:58 +0000

kf5-messagelib (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:23:04 +0000

kf5-messagelib (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:44:46 +0000

kf5-messagelib (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:41:17 +0000

kf5-messagelib (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:55:40 +0000

kf5-messagelib (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:40 +0000

kf5-messagelib (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:54:51 +0000

kf5-messagelib (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:33 +0000

kf5-messagelib (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:29 +0000

kf5-messagelib (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:46:41 +0000

kf5-messagelib (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:25 +0000

kf5-messagelib (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:40 +0000

kf5-messagelib (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:42 +0000



=== debian/control ===
Source: kpim6-messagelib
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               git,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-notes-dev,
               kpim6-akonadi-search-dev,
               kpim6-grantleetheme-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkleo-dev,
               kpim6-pimcommon-dev,
               libcups2-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libqca-qt6-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/messagelib.git
Vcs-Browser: https://invent.kde.org/neon/kde/messagelib
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-messagelib
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6messagecomposer6abi2,
          libkpim6messagecore6abi1,
          libkpim6messagelist6abi1,
          libkpim6messageviewer6abi5,
          libkpim6mimetreeparser6abi1,
          libkpim6templateparser6abi1,
          libkpim6webengineviewer6abi1
Replaces: kf5-messagelib-data,
          kf6-messagelib-data,
          libkf5messagecomposer5,
          libkf5messagecomposer5abi2,
          libkf5messagecore5,
          libkf5messagecore5abi1,
          libkf5messagelist5,
          libkf5messagelist5abi1,
          libkf5messageviewer-plugins,
          libkf5messageviewer5,
          libkf5messageviewer5abi5,
          libkf5mimetreeparser5,
          libkf5mimetreeparser5abi1,
          libkf5templateparser5,
          libkf5templateparser5abi1,
          libkf5webengineviewer5,
          libkf5webengineviewer5abi1,
          libkpim6messagecomposer6,
          libkpim6messagecomposer6abi2,
          libkpim6messagecore6,
          libkpim6messagecore6abi1,
          libkpim6messagelist6,
          libkpim6messagelist6abi1,
          libkpim6messageviewer-plugins,
          libkpim6messageviewer6,
          libkpim6messageviewer6abi5,
          libkpim6mimetreeparser6,
          libkpim6mimetreeparser6abi1,
          libkpim6templateparser6,
          libkpim6templateparser6abi1,
          libkpim6webengineviewer6,
          libkpim6webengineviewer6abi1
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: kpim6-messagelib-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-kidentitymanagement-dev,
         kpim6-kmime-dev,
         kpim6-libkleo-dev,
         kpim6-messagelib (= ${binary:Version}),
         kpim6-pimcommon-dev,
         qt6-webengine-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5messagecomposer5-dev,
          libkf5messagecore5-dev,
          libkf5messagelist5-dev,
          libkf5messageviewer5-dev,
          libkf5mimetreeparser5-dev,
          libkf5templateparser5-dev,
          libkf5webengineviewer5-dev,
          libkpim6messagecomposer6-dev,
          libkpim6messagecore6-dev,
          libkpim6messagelist6-dev,
          libkpim6messageviewer6-dev,
          libkpim6mimetreeparser6-dev,
          libkpim6templateparser6-dev,
          libkpim6webengineviewer6-dev
Description: KDE PIM messaging library, devel files
 This package contains the development files for the message manipulation
 libraries.
 .
 This package is part of KDE PIM module.

Package: kpim6-messagelib-data
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecomposer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecomposer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecore6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecore-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagelist6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagelist-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer-plugins
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6templateparser6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6templateparser-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mimetreeparser6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mimetreeparser-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6webengineviewer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6webengineviewer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-messagelib 25.08.1

=== debian/changelog ===
kpim6-messagelib (4:25.08.1-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 14:28:20 +0000

kpim6-messagelib (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:17:30 +0000

## kpim6-messagelib 25.08.1+p24.04+vstable+git20250926.1109

=== debian/changelog ===
kpim6-messagelib (4:25.08.1+p24.04+vstable+git20250926.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:09:52 +0000

## kpim6-messagelib 25.08.1+p24.04+vstable+git20251001.0041

=== debian/changelog ===
kpim6-messagelib (4:25.08.1+p24.04+vstable+git20251001.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:41:39 +0000

## kpim6-messagelib 25.08.2

=== debian/changelog ===
kpim6-messagelib (4:25.08.2-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:05:26 +0000

kpim6-messagelib (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:58:46 +0000

## kpim6-messagelib 25.08.2+p24.04+vstable+git20251017.0815

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251017.0815-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:15:44 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                kf6-kxmlgui-dev,
                kpim6-akonadi-dev,
                kpim6-akonadi-mime-dev,
-               kpim6-akonadi-notes-dev,
                kpim6-akonadi-search-dev,
                kpim6-grantleetheme-dev,
                kpim6-kidentitymanagement-dev,

## kpim6-messagelib 25.08.2+p24.04+vstable+git20251019.0810

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251019.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:10:40 +0000

## kpim6-messagelib 25.08.2+p24.04+vstable+git20251022.0052

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251022.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:52:49 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/messagelib-([\d.]+).tar.xz

## kpim6-messagelib 25.08.2+p24.04+vstable+git20251028.1038

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251028.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:38:15 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251011.1057

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

project(Messagelib VERSION ${PIM_VERSION})

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")

set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.5.40")

set(AKONADICONTACT_LIB_VERSION "6.5.40")
set(AKONADI_VERSION "6.5.40")
set(GRANTLEETHEME_LIB_VERSION "6.5.40")
set(GRAVATAR_LIB_VERSION "6.5.40")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
set(KMBOX_LIB_VERSION "6.5.40")
set(KMIME_LIB_VERSION "6.5.40")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
set(LIBKDEPIM_LIB_VERSION "6.5.40")
set(LIBKLEO_LIB_VERSION "6.5.40")
set(PIMCOMMON_LIB_VERSION "6.5.40")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(AKONADI_SEARCH_VERSION "6.5.40")

set(OPENSSL_VERSION "3.0.0")

set(ECM_VERSION ${KF_MIN_VERSION})

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KTEXTADDONS_MIN_VERSION "1.7.1")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngineWidgets)

find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.7.61)
    set(HAVE_TEXTADDONSWIDGET_RICHTEXTQUICKTEXTFORMAT TRUE)
endif()

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE OPTIONAL PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(mimetreeparser)
add_subdirectory(messageviewer)
add_subdirectory(templateparser)
add_subdirectory(messagecomposer)
add_subdirectory(messagecore)
add_subdirectory(messagelist)
add_subdirectory(webengineviewer)

ecm_qt_install_logging_categories(
    EXPORT MESSAGELIB
    FILE messagelib.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251011.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 10:57:25 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251015.1952

=== CMakeLists.txt ===
--- 
+++ 
@@ -91,7 +91,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(KTEXTADDONS_MIN_VERSION "1.7.1")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -176,7 +176,7 @@
 
 find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)
 
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251015.1952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:52:42 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251020.0650

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251020.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:50:53 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251021.0058

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251021.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 00:58:15 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251021.0523

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251021.0523-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:23:22 +0000

## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251022.0155

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251022.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:55:39 +0000

## kpim6-messagelib 25.08.3

=== debian/changelog ===
kpim6-messagelib (4:25.08.3-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:58:08 +0000

kpim6-messagelib (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:21 +1000

## kpim6-messagelib 25.08.3+p24.04+vstable+git20251204.0212

=== debian/changelog ===
kpim6-messagelib (4:25.08.3+p24.04+vstable+git20251204.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:12:17 +0000
